Hinweis: Das Forum wird geschlossen! Neue Registrierungen sind nicht mehr möglich!

 Zurück zu Pro-Linux   Foren-Übersicht   FAQ     Suchen    Mitgliederliste
Installation von glib

 
Neuen Beitrag schreiben   Auf Beitrag antworten    Pro-Linux Foren-Übersicht -> Umstieg auf Linux
Vorheriges Thema anzeigen :: Nächstes Thema anzeigen  
Autor Nachricht
anton



Anmeldungsdatum: 30.10.2004
Beiträge: 7

BeitragVerfasst am: 31. Okt 2004 2:17   Titel: Installation von glib

Hallo!
Ich habe mich entschlossen, einen Umstieg auf Linux zu versuchen. Dazu habe ich eine ältere Version von SuSe auf meinem Rechner installiert (7.3) und versucht RealPlayer10Gold zu installieren. Dazu fehten mir natürlich diverse Dateien. GTK2+, das wiederum eine aktuelle Version pkgconfig brauchte und glib. DIe Installation von pkgconfig hat geklappt. Dann habe ich glib runtergeladen (auf mein persönliches Home-Verzeichnis und mit dem tar-Befehl extrahiert. Danach kam dann "./configure", "make" und "make install". Das funktionierte alles. Dann habe ich gtk+ extrahiert und ebenfalls "./configure" ausgeführt.Dabei bekomme ich dann die Fehlermeldung: Library requirements (glib-2.0>=2.4.0 atk >=1.0.1 pango >=1.4.0) not met; consider adjusting the PKG_CONFIG_PATH environment if your labraries are nonstandard prefix so pkg-config can find them.
Muss ich glib noch in ein besonderes Verzeichnis bringen, damit ./configure für gtk2 die Datei findet, oder brauche ich die beiden anderen Dateine auch noch (atk und pango). Wie gesagt, ich bin Anfänger und würde das gerne zum Laufen bekommen. Vielleicht kann mir ja jemand helfen. Laughing
 
Benutzer-Profile anzeigen Private Nachricht senden

tegula



Anmeldungsdatum: 11.06.2004
Beiträge: 38
Wohnort: Wolfhagen

BeitragVerfasst am: 01. Nov 2004 18:52   Titel:

Ist zwar jetzt eine blöde antwort ,aber warum nimmst du nicht einfach eine aktuellere Distribution?
 
Benutzer-Profile anzeigen Private Nachricht senden Website dieses Benutzers besuchen AIM-Name Yahoo Messenger

anton



Anmeldungsdatum: 30.10.2004
Beiträge: 7

BeitragVerfasst am: 01. Nov 2004 21:48   Titel:

Hi Tegula!
OK, da habe ich auch schon dran gedacht. Aber ich dachte, dass das auch mit 7.3 zu schaffen sein müßte. Dann werde ich wohl diesen Weg gehen.
Vielen Dank

Anton

P.S. Falls doch noch jemand einen Tipp hat, nehme ich den auch gerne noch entgegen.
 
Benutzer-Profile anzeigen Private Nachricht senden

Soulfly



Anmeldungsdatum: 16.04.2003
Beiträge: 137
Wohnort: Buchholz idN

BeitragVerfasst am: 10. Nov 2004 20:01   Titel:

Hallo!

Eiegentlich müßten die Pakete doch schon bei der 7.3 dabei gewesen sein. Hast du versucht per YaST die Pakete zu finden? Wenn sie nicht mehr aktuell sind, musst du sie halt selber übersetzen.

Zum einen installieren sich die meisten Programme wenn du nicht per "--prefix=X" beim Aufruf von "./configure" dem richtigen Pfad (bzw Den den du willst) mitgibst nach "/usr/local" . Wenn einige Variablen nicht richtig gesetzt sind, findet das System die Sachen nicht. Also, probiere es nochmal mit "./configure --prefix=/usr", denn bei vielen Systemen wird dahin installiert, und /usr/local oft ausser acht gelassen...

Ausserdem schien er "pango" nicht gefunden zu haben, das solltest du schon mal vorher installieren... Laughing

Hoffe meine wirre antwort kann doch noch helfen...
Embarassed
 
Benutzer-Profile anzeigen Private Nachricht senden

Beiträge vom vorherigen Thema anzeigen:   
     Pro-Linux Foren-Übersicht -> Umstieg auf Linux Alle Zeiten sind GMT + 1 Stunde
Seite 1 von 1

 
Gehen Sie zu:  

Powered by phpBB © phpBB Group
pro_linux Theme © 2004 by Mandaxy